Support » Plugin: DB Cache Reloaded Fix » [Plugin: DB Cache Reloaded Fix] Error wpdb::escape_by_ref() in db-module-wrapper.php on line 450

  • Resolved azn137

    (@azn137)


    My Apache error log is filled with errors that look like this:

    [Fri Oct 05 14:49:14 2012] [warn] [client xxx.xxx.xxx.xxx] mod_fcgid: stderr: PHP Warning: Parameter 1 to wpdb::escape_by_ref() expected to be a reference, value given in [path to wordpress]/wp-content/plugins/db-cache-reloaded-fix/db-module-wrapper.php on line 450

    Please advise on how to fix this.

    http://wordpress.org/extend/plugins/db-cache-reloaded-fix/

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Ivan Kristianto

    (@ivankristianto)

    Please disable the wrapper mode and see if the problem is still persist.
    what is your wordpress version?
    i have check the compatibility with the latest wordpress, ans still fine.

    Thanks
    Ivan

    azn137

    (@azn137)

    Sorry, I forgot I posted this. Yes, disabling the wrapper mode did fix this problem.

    Thanks so much for checking.

    I have the latest version of WordPress and W3TC.

    I have same problem.

    PHP version 5.3.x
    WordPress 3.4.2

    1. I think that it is usial problem for this plugin, try to find “PHP Warning: Parameter 1 to wpdb::escape_by_ref() expected to be a reference” in google…

    2. All method in db-module, pass parameters by value (get_row, …) but

    function escape_by_ref( &$string )

    by reference!

    Also i have the problem with this (db-cache-reloaded-fix/db-module.php on line 396). I have the wrapper mode disabled!

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘[Plugin: DB Cache Reloaded Fix] Error wpdb::escape_by_ref() in db-module-wrapper.php on line 450’ is closed to new replies.